For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer

Customer register

post

Register a customer

Body
namestringRequired
lastNamestringOptional
passwordstringRequired
confirmPasswordstringRequired
emailIdstringRequired
phoneNumberinteger · int32Optional
Responses
200

success response

application/json
firstNamestringOptional
emailstringOptional
usernamestringOptional
mobileNumberstringOptional
createdDatestringOptional
idinteger · int32Optional
post/customer/register
POST /customer/register HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 109

"name='text'&lastName='text'&password='text'&confirmPassword='text'&emailId='text'&phoneNumber=1"
{
  "firstName": "text",
  "email": "text",
  "username": "text",
  "mobileNumber": "text",
  "createdDate": "text",
  "id": 1
}

Login

post

Login customer

Body
emailIdstringOptional
passwordstringOptional
typestringOptional
tokenstringOptional
Responses
200

success response

application/json
tokenstringOptional
post/customer/login
POST /customer/login HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 65

"emailId='text'&password='text'&type='text'&token='text'"
{
  "token": "text",
  "user": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "mobileNumber": "text",
    "avatar": "text",
    "avatarPath": "text",
    "lockedOn": "text",
    "username": "text"
  }
}

Change password

post

Change password

Header parameters
AuthorizationstringRequired
Body
oldPasswordstringOptional
newPasswordstringOptional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Your password has been change successfully.
post/customer/change-password
POST /customer/change-password HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 43

"oldPassword='text'&newPassword='text'"
{
  "status": 1,
  "message": "Your password has been change successfully."
}

Get profile

get

Get profile

Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Get the Profile.
get/customer/get-profile
GET /customer/get-profile HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully Get the Profile."
}

Edit profile

post

Edit customer profile

Header parameters
AuthorizationstringRequired
Body
firstNamestringRequired
lastNamestringOptional
emailIdstringRequired
phoneNumberinteger · int32Optional
imagestringOptional
Responses
200

success response

application/json
idinteger · int32Optional
firstNamestringOptional
lastNamestringOptional
emailstringOptional
mobileNumberstringOptional
addressstringOptional
countryIdstringOptional
zoneIdinteger · int32Optional
avatarstringOptional
avatarPathstringOptional
pincodestringOptional
usernamestringOptional
customerIdinteger · int32Optional
post/customer/edit-profile
POST /customer/edit-profile HTTP/1.1
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 86

"firstName='text'&lastName='text'&emailId='text'&phoneNumber=1&image='text'"
{
  "id": 1,
  "firstName": "text",
  "lastName": "text",
  "email": "text",
  "mobileNumber": "text",
  "address": "text",
  "countryId": "text",
  "zoneId": 1,
  "avatar": "text",
  "avatarPath": "text",
  "pincode": "text",
  "username": "text",
  "customerId": 1
}

Loging log list

get

List of loging log

Query parameters
limitintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get login Log list
get/customer/login-log-list
GET /customer/login-log-list HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get login Log list"
}

Oauth login

post

Oauth login

Body
emailIdstringOptional
sourcestringOptional
oauthDatastringOptional
Responses
200

success response

application/json
tokenstringOptional
post/customer/Oauth-login
POST /customer/Oauth-login HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 53

"emailId='text'&source='text'&oauthData='text'"
200

success response

{
  "token": "text",
  "user": {
    "createdDate": "2026-01-01T00:00:00.000Z",
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "username": "text",
    "email": "text",
    "mobileNumber": 1,
    "address": "text",
    "countryId": 1,
    "zoneId": 1,
    "city": "text",
    "local": "text",
    "oauthData": "text",
    "avatar": "text",
    "avatarPath": "text",
    "lastLogin": "text",
    "pincode": "text",
    "linkExpires": "text",
    "lockedOn": "text"
  }
}
get

Get mail of forgot password link

Query parameters
emailstringOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Thank you! A link to reset your password will be sent to your registered email shortly.
get/customer/forgot-password-link
GET /customer/forgot-password-link HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "Thank you! A link to reset your password will be sent to your registered email shortly."
}

Forget password key check

get

Forget password key check

Query parameters
keystringOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Invalid key. please try again " or " your password reset link has been expired, try again " or " Valid key " or " This link has been used already. please try again
get/customer/forgot-password-key-check
GET /customer/forgot-password-key-check HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Invalid key. please try again \" or \" your password reset link has been expired, try again \" or \" Valid key \" or \" This link has been used already. please try again"
}

Reset password

put

Reset the password

Body
newPasswordstringOptional
keystringOptional
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Your password has been changed successfully
datastringOptionalDefault: xxx@gmail.com
put/customer/reset-password
PUT /customer/reset-password HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 35

"newPassword='text'&key='text'"
{
  "status": 1,
  "message": "Your password has been changed successfully",
  "data": "xxx@gmail.com"
}

Logout

post

Customer logout

Header parameters
AuthorizationstringRequired
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully Logout
post/customer/logout
POST /customer/logout HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Logout"
}

Last updated